GET /tables/{locationId}

Retrieves all tables and floors registered in a POS at a specific location.

Path parameters

  • locationId string Required

Responses

  • 200 application/json

    Ok

    Hide response attribute Show response attribute object
    • locationId string Required
  • 422

    Get tables action is not supported for this locatio

  • 400

    failed to get tables: Error messag

GET /tables/{locationId}
curl \
 --request GET 'https://api.staging.deliverect.com/tables/{locationId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "floors": [
    {
      "id": "bar",
      "name": "Bar"
    },
    {
      "id": "restaurant",
      "name": "Restaurant"
    }
  ],
  "tables": [
    {
      "id": "barSeat#1",
      "name": "Bar seat #1",
      "seats": 1,
      "floorId": "bar"
    },
    {
      "id": "barSeat#2",
      "name": "Bar seat #2",
      "seats": 1,
      "floorId": "bar"
    },
    {
      "id": "barSeat#3",
      "name": "Bar seat #3",
      "seats": 1,
      "floorId": "bar"
    },
    {
      "id": "table#1",
      "name": "Table #1",
      "seats": 6,
      "floorId": "restaurant"
    },
    {
      "id": "table#2",
      "name": "Table #2",
      "seats": 8,
      "floorId": "restaurant"
    },
    {
      "id": "Delivery",
      "name": "delivery"
    }
  ]
}